TTLG|Thief|Bioshock|System Shock|Deus Ex|Mobile
Page 21 of 21 FirstFirst ... 611161718192021
Results 501 to 508 of 508

Thread: T2Fix: An Unofficial Comprehensive Patch for Thief 2

  1. #501
    Yes, good point. I did check that when I was troubleshooting mine. I checked the black doorway with each step I did, just to see what would fix it. After uninstalling HD Mod and installing T2Fix, the door was fixed. Then after installing HD Mod, thankfully the door was still fine

  2. #502
    Zombified
    Registered: Sep 2004
    remember, you may need to restart the current mission by hitting the restart mission button in the menu after reinstalling/repatching.

  3. #503
    Member
    Registered: Sep 2007
    Location: Leipzig (Germany)
    I ran in the past hours different installation modes, from simply to advanced. Never there was a single point of change in the behavior of crash after start thief2.exe. With or without any mods - there is no solution in changing something with Mods.
    I am now about to install Thief2 as fresh it can be.
    After then I run T2fix only in the simple modus.

  4. #504
    Member
    Registered: Sep 2007
    Location: Leipzig (Germany)
    So I did it as I posted.
    Fresh installation and after this I started "NewDark Graphics Settings" to adjust some details.
    Nearly everything runs fine.
    Only in the last played mission "1MIL_Recipe" the following terrible textures:




  5. #505
    Zombified
    Registered: Sep 2004
    note that hdmod issues are better off posted in the hdmod topic.

  6. #506
    Member
    Registered: Mar 2015
    That issue occurs because Recipe for Turmoil is a Thief Gold mission.

    While I suppose the original issue you were facing is now a moot point, the fact that a blank main menu was briefly displayed prior to the game crashing points to the possibilities of the language being set improperly or perhaps missing resources.

    Quote Originally Posted by Darkness_Falls View Post
    Is it possible to have New Dark v1.27 (installed via T2Fix), but also have HD Mod 1.0 at the same time?

    I only ask because T2Fix installs New Dark v1.27, but then HDMod1.0 installs New Dark v1.26. It's like an endless loop since HDMod1.0 requires T2Fix to be installed first. When T2Fix and HDMod were both installing 1.26, all was well. Now that T2Fix gives 1.27 and HDMod1.0 give 1.26, though, it's not clear how to get to 1.27 and stay there, if you want HDMod, too.
    The current version of the HD Mod does, in fact, overwrite any existing Thief 2 executable with the 1.26 release of NewDark. This is fairly problematic and will certainly break a few things, notably T2FMDML, as many of the DMLs that it includes rely on features introduced in NewDark 1.27. As a hopefully temporary measure to work around this, you can back up your mod configuration (located in cam_mod.ini), run T2Fix again after installing the HD Mod, and then restore your backed-up configuration. Alternatively, you could just back up the Thief 2 executable provided by T2Fix and restore it after installing the HD Mod.

    PS: When I installed T2Fix 1.27d today, I was really hoping its install wizard would identify and tell me what version of New Dark I was currently on (since I wasn't exactly sure where to look at first), and have it ask me what I wanted to do; possibly with some guidance. For example, something like this:

    * "You're on T2Fix and New Dark v1.26. If you proceed, 1.27 will be installed. No need to uninstall your earlier version of T2Fix or New Dark. Note: Any earlier custom T2Fix settings for water, sky, and New Dark (including captions/subtitles and blood decals) may be reset to defaults, so make a note of what you have and/or maybe make back-up copies of _these_files_(e.g., user.cfg)_. Want to proceed?" (or whatever guidance you feel is realistic to provide)
    * Ideally, also saying to uninstall the HDMod first and re-install it afterward would be helpful, as that seemed to be necessary for me. (I had some HD graphics anomalies when I didn't uninstall it first (I had a black doorway leading out to where the pirate ship is in "Shipping & Receiving", and a very bright gamma main menu, for example.)) I'd understand if that's not feasible or desirable to add this note, though, given the number/types of mods people might have installed. Plus, I'm just one example. Maybe it works fine for everyone else to not uninstall it first.
    I appreciate the suggestion. Detecting and presenting the currently-installed game version in such a manner is an interesting idea and would be trivial to implement, though I wonder how many would find this beneficial. While the other information probably does not have a place in the installer itself to avoid further cluttering the interface, the first post can certainly be amended to include additional helpful information.

  7. #507
    Member
    Registered: Sep 2007
    Location: Leipzig (Germany)
    OK, I looked at first the version of thief2.exe. It must be 1.27. Could that mean, that, after the new installation of Thief2, my only failure was to start the wrong FM (only for Thief Gold) ?
    I try tomorrow a new step, your tipps in hand. Thank you!


  8. #508
    Thanks for the help! I tried the cam_mod.ini idea and my .exe is now 1.27.

    However, when using NewDarkLoader 1.6.1 to "Play Thief 2" (button in lower-left), the game crashes to Desktop when trying to start a new game (right when Running Interference mission gameplay is about to begin). Loading a saved game in Running Interference, on the other hand, launches gameplay at that saved location, but I get a lot of white flickering and z-fighting textures (on floors, walls, trims, etc.). Playing a fan mission seems to work okay so far, though. And I think loading a saved game I had in Shipping & Receiving worked okay, too.

    Note: If I use AngelLoader 1.4.8, though, all seems to work fine. I can start a new Thief 2 game, load an old game, or play a fan mission; no problems noticed. At least not yet.

    Quote Originally Posted by Jax64 View Post
    I appreciate the suggestion. Detecting and presenting the currently-installed game version in such a manner is an interesting idea and would be trivial to implement, though I wonder how many would find this beneficial.
    I think this would be quite beneficial. If someone is told via the installer that they already have the version they're about to install, they can cancel installation. And if they have an older version and are told that they may have to uninstall/reinstall other mods before and/or after updating T2Fix, then they can pick a later date to update -- when they have more time to evaluate and brace for the potential impacts.

    Now that I have v1.27d, I may not remember that I have that a year or more from now, and may not know where to look to find out. So, if I check back, say, a year (or 2, or 3) from now, I might download v1.27d again and try to re-install it... not knowing for sure that's what I already have. And if I'm not told by the installer at that time, for example, that I already have 1.27d, then it'll just plow forward and install, and then I will have, effectively, created these HD Mod issues (or other issues) all over again. I may need to manually re-disable blood decals and subtitles again, as well -- which, based on past attempts, can sometimes be a little cumbersome to do. (At present, I know how to do all these things... but 1-3+ years from now? Probably not so much )

    So, that's where I feel the installer could lend a helping hand

    PS: I am happy that with a re-install of T2Fix, I can adjust Gamma once again... including with + and - keys. For some reason Gamma adjustments weren't working the past week or so with my version on 1.26.

Page 21 of 21 FirstFirst ... 611161718192021

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •